# KeCardWin

## 説明
本アプリは「(E)CARD」デバイス向けのWindowsアプリです。単独では動作しませんので、ご注意ください。
このアプリを使用するとPC画面のキャプチャ、テキスト形式のメモや画像を(E)CARDへ無線(BluetoothLE)で転送する事ができます。
(E)CARD公式Webサイト: https://www.kecard.jp/  


## 機能
本アプリは以下の機能があります。
```
・メモ/画像をBluetoothで(E)CARDへ転送する機能
・テキスト形式のメモを編集する機能
・パソコンのスクリーンをキャプチャする機能
・画像のフィルタ機能（ディザリング、スケッチ風など）
・音声認識機能
・(E)CARDへイベント情報を転送する機能
```


## 更新履歴
```
2021/08/01  1.0.0.0 新規作成
2021/08/12  1.0.1.0 細かいバグを修正
2021/08/19  1.1.0.0 音声認識機能追加
2022/01/14  2.0.0.0 イベント機能追加
2022/01/27  2.0.1.0 レイアウトがズレる問題を修正
2022/02/22  2.1.0.0 パケットフォーマットを修正
2022/02/22  2.1.1.0 高DPIでレイアウトがズレる問題を修正
```


## 開発環境
PC
```
Windows10 64bit (19041.1052)
MacBook Pro 2018 (Boot Camp)
Microsoft Visual Studio Community 2019 Version 16.10.4
```

使用ライブラリ
```
Microsoft.Windows.SDK.Contracts 10.0.19041.1
superfastblur (https://github.com/mdymel/superfastblur)
```

